locals {
  instance_ips = [
    "${local.vps_1.ip}/32",
  ]

  cloud_backup_retention_days = 3

  vps_1 = {
    id   = data.terraform_remote_state.contabo.outputs.instances[0].id
    name = data.terraform_remote_state.contabo.outputs.instances[0].name
    ip   = data.terraform_remote_state.contabo.outputs.instances[0].ip_config[0].v4[0].ip
  }
}

data "terraform_remote_state" "contabo" {
  backend = "s3"
  config = {
    bucket = "a13labs.infra.eu"
    key    = "contabo.core.infra.tfstate"
    region = "eu-west-1"
  }
}

data "scaleway_account_project" "default" {
  project_id      = var.scaleway_project_id
  organization_id = var.scaleway_organization_id
}
